Bug 481485 - Xmoto doesnt start on ATI drivers.
Xmoto doesnt start on ATI drivers.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmoto (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 11:20 EST by Jani Mikkonen
Modified: 2009-02-18 13:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 13:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for DrawLibOpenGL.cpp (779 bytes, patch)
2009-01-25 11:20 EST, Jani Mikkonen
no flags Details | Diff
Patch for a xmoto.spec (1.00 KB, patch)
2009-01-25 11:22 EST, Jani Mikkonen
no flags Details | Diff

  None (edit)
Description Jani Mikkonen 2009-01-25 11:20:56 EST
Created attachment 329940 [details]
Patch for DrawLibOpenGL.cpp

Description of problem:

Latest 0.4.2-4 xmoto package does not work with latest fglrx binary drivers. 

Version-Release number of selected component (if applicable):

0.4.2-4 and Fedora 10. Driver packages installed:

xorg-x11-drv-fglrx-libs-8.561-6.8.12.fc10.i386
kmod-fglrx-2.6.27.9-159.fc10.i686-8.561-2.8.12.fc10.2.i686
xorg-x11-drv-fglrx-8.561-6.8.12.fc10.i386
akmod-fglrx-8.561-2.8.12.fc10.2.i686

How reproducible:

Just start the xmoto.

Actual results:

Application window flicks to the screen and stops instantly, error in console saying: "Fatal Error: no depth buffer"

Expected results: 

Applicaition should just work.

Additional info:

Patches suplied to upstream also and should be present in never xmoto releases. I've added "backported"  patch that modifies DrawLibOpenGL.cpp and another one against the xmoto.spec
Comment 1 Jani Mikkonen 2009-01-25 11:22:43 EST
Created attachment 329941 [details]
Patch for a xmoto.spec
Comment 2 Gwyn Ciesla 2009-01-26 13:48:11 EST
I've got this basically ready to build for F-10 testing for you to try out, but I'm waiting on a bogus cvs lock.  Sorry for the delay.
Comment 3 Gwyn Ciesla 2009-01-30 14:16:42 EST
Please test this koji build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=80969
Comment 4 Jani Mikkonen 2009-01-30 16:39:59 EST
Tested and works.
Comment 5 Gwyn Ciesla 2009-02-02 11:53:56 EST
Forward-ported and build for rawhide's 0.5.0 as well.
Comment 6 Fedora Update System 2009-02-04 21:22:53 EST
xmoto-0.4.2-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmoto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1368
Comment 7 Gwyn Ciesla 2009-02-18 13:16:31 EST
This went to stable, but bodhi didn't close.

Note You need to log in before you can comment on or make changes to this bug.